## large-statusbar-clock 0.7-2

=== debian/changelog ===
large-statusbar-clock (0.7-2) UNRELEASED; urgency=low

  * Rename project and files from 'statusbar-clock' to 'large-statusbar-
    clock' to avoid confusion with 'statusbarclock'

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Thu, 22 May 2008 10:10:17 -0400

statusbar-clock (0.7-1) UNRELEASED; urgency=low

  * Add message on how to get both plugins showing on first install, and
    message for a reboot on update
  * Add an option to turn alarms off completely
  * Changed to a better way of selecting font colours

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Wed, 21 May 2008 10:44:00 -0400

statusbar-clock (0.6-6) UNRELEASED; urgency=low

  * Implement a single wide version when hours plugin is not loaded

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Tue, 29 Apr 2008 14:51:43 -0400

statusbar-clock (0.6-5) UNRELEASED; urgency=low

  * Edit alarms now works (double click alarm in display box)
  * Alarm display box resized for better readablility
  * Selectable sounds should now work

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Sun, 24 Feb 2008 04:36:54 -0500

statusbar-clock (0.6-4) UNRELEASED; urgency=low

  * Alarm improvements

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Fri, 22 Feb 2008 23:20:32 -0500

statusbar-clock (0.6-3) UNRELEASED; urgency=low

  * Settings improvements for alarms

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Fri, 22 Feb 2008 19:22:07 -0500

statusbar-clock (0.6-2) UNRELEASED; urgency=low

  * Alarm related bug fixes

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Fri, 22 Feb 2008 17:06:46 -0500

statusbar-clock (0.6-1) UNRELEASED; urgency=low

  * Start implementing an alarm interface

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Fri, 22 Feb 2008 09:54:00 -0500

statusbar-clock (0.5-5) UNRELEASED; urgency=low

  * Added more options for stacked mode.
  * Cleanup configuration dialog

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Mon, 18 Feb 2008 15:26:00 -0500

statusbar-clock (0.5-4) UNRELEASED; urgency=low

  * Added configuration file to keep settings across backup/restore
  * Eliminate warning messages on compile
  * Further reduce cpu usage by not overwriting the minutes label every
    second (each second now compares the current minute to the previous
    minute and checks an update flag instead of processing the whole
    update function)

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Mon, 18 Feb 2008 15:08:43 -0500

statusbar-clock (0.5-3) UNRELEASED; urgency=low

  * Fix persistent settings, reduce memory leak

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Mon, 18 Feb 2008 12:20:47 -0500

statusbar-clock (0.5-2) UNRELEASED; urgency=low

  * Fix but with world clock, clean up popup menu

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Mon, 18 Feb 2008 08:43:58 -0500

statusbar-clock (0.5-1) UNRELEASED; urgency=low

  * Add dbus interface to reduce CPU usage
  * Changes since 0.0.3
  *  - Version bump
  *  - Added 'stacked mode' option
  *  - Fixed issue with not saving changes between reboots
  *  - Fixed issue with configuration dialog having a different button
    order than the font dailog
  *  - Major reorganization to get rid of code duplication
  *  - Fixed crash when removing plugins from statusbar
  *  - Made the current date menu item darker

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Mon, 18 Feb 2008 06:41:55 -0500

statusbar-clock (0.0.3-2) UNRELEASED; urgency=low

  * Hopefully fixed a memory leak

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Mon, 18 Feb 2008 01:07:57 -0500

statusbar-clock (0.0.3-1) UNRELEASED; urgency=low

  * Added configuration for fonts,  basic alarm support

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Thu, 14 Feb 2008 01:39:49 -0500

statusbar-clock (0.0.2-1) UNRELEASED; urgency=low

  * Added dropdown to display date, configuration dialog, and launch
    clock

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Tue, 12 Feb 2008 15:35:00 -0500

statusbar-clock (0.0.1-2) UNRELEASED; urgency=low

  * Made it so the clock can be removed from the statusbar without
    rebooting; changed the timeout interval to 1 second from 10 seconds.

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Tue, 12 Feb 2008 15:34:25 -0500

statusbar-clock (0.0.1-1) UNRELEASED; urgency=low

  * Initial release. (Closes: #XXXXXX)

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Tue, 12 Feb 2008 07:48:12 -0500

## large-statusbar-clock 0.7-3

=== debian/changelog ===
large-statusbar-clock (0.7-3) UNRELEASED; urgency=low

  * Bug fix for using alarms (hopefully will stop desktop resets)

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Fri, 23 May 2008 14:21:26 -0400

## large-statusbar-clock 0.7-4

=== Makefile ===
CC=gcc
CFLAGS=-Wall -shared `pkg-config gtk+-2.0 libosso hildon-1 libhildondesktop gconf-2.0 libglade-2.0 libalarm --libs --cflags` -std=c99 -lm

all:
	$(CC) $(CFLAGS) large-statusbar-clock-alarm.c large-statusbar-clock-minutes.c -o liblarge_statusbar_clock_minutes.so
	$(CC) $(CFLAGS) large-statusbar-clock-hours.c -o liblarge_statusbar_clock_hours.so

clean:
	rm -f liblarge_statusbar_clock_minutes.so
	rm -f liblarge_statusbar_clock_hours.so

install:
	./install.sh

=== debian/changelog ===
large-statusbar-clock (0.7-4) UNRELEASED; urgency=low

  * Another attempt at fixing the alarm causing a dekstop reset

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Tue, 27 May 2008 14:32:43 -0400

=== debian/control ===
Source: large-statusbar-clock
Section: user/Utilities
Priority: extra
Maintainer: Andrew Olmsted <andrew.olmsted@gmail.com>
Build-Depends: debhelper (>= 4), libhildondesktop-dev, libhildon1-dev
Standards-Version: 3.7.2

Package: large-statusbar-clock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: statusbar-clock
Conflicts: statusbar-clock
Description: A clock that displays in the status bar
 Made up of two "applets" to display the hour and minute.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	mkdir -p debian/tmp/usr/lib/hildon-status-bar
	cp liblarge_statusbar_clock_minutes.so debian/tmp/usr/lib/hildon-status-bar/
	cp liblarge_statusbar_clock_hours.so debian/tmp/usr/lib/hildon-status-bar/
	mkdir -p debian/tmp/usr/share/applications/hildon-status-bar
	cp large-statusbar-clock-minutes.desktop debian/tmp/usr/share/applications/hildon-status-bar/
	cp large-statusbar-clock-hours.desktop debian/tmp/usr/share/applications/hildon-status-bar/
	mkdir -p debian/tmp/etc/osso-backup/applications
	cp large-statusbar-clock.conf debian/tmp/etc/osso-backup/applications/
	mkdir -p debian/tmp/usr/share/pixmaps
	cp large-statusbar-clock-alarm.png debian/tmp/usr/share/pixmaps/
	mkdir -p debian/tmp/usr/share/icons/hicolor/scalable/hildon
	mkdir -p debian/tmp/usr/share/icons/hicolor/40x40/hildon
	mkdir -p debian/tmp/usr/share/icons/hicolor/26x26/hildon
	cp data/scalable/lsbc.png debian/tmp/usr/share/icons/hicolor/scalable/hildon
	cp data/40x40/lsbc.png debian/tmp/usr/share/icons/hicolor/40x40/hildon
	cp data/26x26/lsbc.png debian/tmp/usr/share/icons/hicolor/26x26/hildon
	


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## large-statusbar-clock 0.7-5

=== Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# The icons

srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/large-statusbar-clock
pkglibdir = $(libdir)/large-statusbar-clock
pkgincludedir = $(includedir)/large-statusbar-clock
top_builddir = .

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/fiferboy/workspace/large-statusbar-clock-0.7/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/fiferboy/workspace/large-statusbar-clock-0.7/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/fiferboy/workspace/large-statusbar-clock-0.7/missing --run autoconf
AUTOHEADER = ${SHELL} /home/fiferboy/workspace/large-statusbar-clock-0.7/missing --run autoheader
AUTOMAKE = ${SHELL} /home/fiferboy/workspace/large-statusbar-clock-0.7/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"large-statusbar-clock\" -DVERSION=\"0.7\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1
DEPDIR = .deps
DESKTOP_CFLAGS = -DMAEMO_CHANGES -I/usr/include/hildon-desktop -I/usr/include/libhildonwm -I/usr/include/libhildondesktop -I/usr/include/hildon-1 -I/usr/include/libxml2 -I/usr/include/gconf/2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
DESKTOP_LIBS = -lhildonwm -lhildondesktop -lhildon-1 -lX11 -lXtst -lgconf-2 -lgtk-x11-2.0 -lxml2 -ldbus-glib-1 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -ldl -ldbus-1 -lgobject-2.0 -lglib-2.0  
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /scratchbox/tools/bin/grep
GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
HILDON_CFLAGS = -DMAEMO_CHANGES -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
HILDON_LIBS = -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBALARM_CFLAGS = -I/usr/include/alarmd  
LIBALARM_LIBS = -lalarm  
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/fiferboy/workspace/large-statusbar-clock-0.7/missing --run makeinfo
OBJEXT = o
OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
PACKAGE = large-statusbar-clock
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.7
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = 
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnu
host_alias = 
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/fiferboy/workspace/large-statusbar-clock-0.7/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

icondir = $(datadir)/icons/hicolor


#The Statusbar plugin
libsbdir = $(libdir)/hildon-status-bar
datsbdir = $(datadir)/applications/hildon-status-bar
libsb_LTLIBRARIES = liblarge_statusbar_clock_minutes.la liblarge_statusbar_clock_hours.la
datsb_DATA = large-statusbar-clock-minutes.desktop large-statusbar-clock-hours.desktop

liblarge_statusbar_clock_minutes_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS) $(DESKTOP_CFLAGS) $(HILDON_CFLAGS) $(LIBALARM_CFLAGS)
liblarge_statusbar_clock_minutes_la_LDFLAGS = -module -avoid-version
liblarge_statusbar_clock_minutes_la_SOURCES = large-statusbar-clock-alarm.c large-statusbar-clock-minutes.c

liblarge_statusbar_clock_hours_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS) $(DESKTOP_CFLAGS) $(HILDON_CFLAGS)
liblarge_statusbar_clock_hours_la_LDFLAGS = -module -avoid-version
liblarge_statusbar_clock_hours_la_SOURCES = large-statusbar-clock-hours.c


# The locale

# The gstreamer plugin

# The backup/restore configuration
EXTRA_DIST = \
        autogen.sh				\
        make-package				\
        debian/changelog			\
        debian/compat				\
        debian/copyright			\
        debian/control				\
        debian/rules				\
		debian/postinst				\
        large-statusbar-clock-minutes.desktop		\
        large-statusbar-clock-hours.desktop \
        data/26x26/lsbc.png \
        data/40x40/lsbc.png \
        data/scalable/lsbc.png \
        large-statusbar-clock-alarm.png \
        large-statusbar-clock.conf

subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(libsb_LTLIBRARIES)

liblarge_statusbar_clock_hours_la_LIBADD =
am_liblarge_statusbar_clock_hours_la_OBJECTS = \
	liblarge_statusbar_clock_hours_la-large-statusbar-clock-hours.lo
liblarge_statusbar_clock_hours_la_OBJECTS = \
	$(am_liblarge_statusbar_clock_hours_la_OBJECTS)
liblarge_statusbar_clock_minutes_la_LIBADD =
am_liblarge_statusbar_clock_minutes_la_OBJECTS = \
	liblarge_statusbar_clock_minutes_la-large-statusbar-clock-alarm.lo \
	liblarge_statusbar_clock_minutes_la-large-statusbar-clock-minutes.lo
liblarge_statusbar_clock_minutes_la_OBJECTS = \
	$(am_liblarge_statusbar_clock_minutes_la_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = \
	./$(DEPDIR)/liblarge_statusbar_clock_hours_la-large-statusbar-clock-hours.Plo \
	./$(DEPDIR)/liblarge_statusbar_clock_minutes_la-large-statusbar-clock-alarm.Plo \
	./$(DEPDIR)/liblarge_statusbar_clock_minutes_la-large-statusbar-clock-minutes.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(liblarge_statusbar_clock_hours_la_SOURCES) \
	$(liblarge_statusbar_clock_minutes_la_SOURCES)
DATA = $(datsb_DATA)

DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/configure Makefile.am \
	TODO aclocal.m4 compile config.guess config.sub configure \
	configure.ac depcomp install-sh ltmain.sh missing mkinstalldirs
SOURCES = $(liblarge_statusbar_clock_hours_la_SOURCES) $(liblarge_statusbar_clock_minutes_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj

am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure:  $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4):  configure.ac 
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
libsbLTLIBRARIES_INSTALL = $(INSTALL)
install-libsbLTLIBRARIES: $(libsb_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libsbdir)
	@list='$(libsb_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libsbLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libsbdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libsbLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libsbdir)/$$f; \
	  else :; fi; \
	done

uninstall-libsbLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(libsb_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libsbdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libsbdir)/$$p; \
	done

clean-libsbLTLIBRARIES:
	-test -z "$(libsb_LTLIBRARIES)" || rm -f $(libsb_LTLIBRARIES)
	@list='$(libsb_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
liblarge_statusbar_clock_hours.la: $(liblarge_statusbar_clock_hours_la_OBJECTS) $(liblarge_statusbar_clock_hours_la_DEPENDENCIES) 
	$(LINK) -rpath $(libsbdir) $(liblarge_statusbar_clock_hours_la_LDFLAGS) $(liblarge_statusbar_clock_hours_la_OBJECTS) $(liblarge_statusbar_clock_hours_la_LIBADD) $(LIBS)
liblarge_statusbar_clock_minutes.la: $(liblarge_statusbar_clock_minutes_la_OBJECTS) $(liblarge_statusbar_clock_minutes_la_DEPENDENCIES) 
	$(LINK) -rpath $(libsbdir) $(liblarge_statusbar_clock_minutes_la_LDFLAGS) $(liblarge_statusbar_clock_minutes_la_OBJECTS) $(liblarge_statusbar_clock_minutes_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/liblarge_statusbar_clock_hours_la-large-statusbar-clock-hours.Plo

=== debian/changelog ===
large-statusbar-clock (0.7-5) UNRELEASED; urgency=low

  * Added automake tools to the build process

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Thu,  3 Jul 2008 13:31:19 -0400

## large-statusbar-clock 0.7-6

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -Wall -g -O2
+CFLAGS = -g -O2
 CPP = gcc -E
 CPPFLAGS = 
 CXX = g++
@@ -159,6 +159,7 @@
 
 liblarge_statusbar_clock_minutes_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS) $(DESKTOP_CFLAGS) $(HILDON_CFLAGS) $(LIBALARM_CFLAGS)
 liblarge_statusbar_clock_minutes_la_LDFLAGS = -module -avoid-version
+liblarge_statusbar_clock_minutes_la_LIBADD = $(LIBALARM_LIBS)
 liblarge_statusbar_clock_minutes_la_SOURCES = large-statusbar-clock-alarm.c large-statusbar-clock-minutes.c
 
 liblarge_statusbar_clock_hours_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS) $(DESKTOP_CFLAGS) $(HILDON_CFLAGS)
@@ -199,7 +200,7 @@
 	liblarge_statusbar_clock_hours_la-large-statusbar-clock-hours.lo
 liblarge_statusbar_clock_hours_la_OBJECTS = \
 	$(am_liblarge_statusbar_clock_hours_la_OBJECTS)
-liblarge_statusbar_clock_minutes_la_LIBADD =
+liblarge_statusbar_clock_minutes_la_DEPENDENCIES =
 am_liblarge_statusbar_clock_minutes_la_OBJECTS = \
 	liblarge_statusbar_clock_minutes_la-large-statusbar-clock-alarm.lo \
 	liblarge_statusbar_clock_minutes_la-large-statusbar-clock-minutes.lo
@@ -288,4 +289,3 @@
 distclean-compile:
 	-rm -f *.tab.c
 
-include ./$(DEPDIR)/liblarge_statusbar_clock_hours_la-large-statusbar-clock-hours.Plo

=== debian/changelog ===
large-statusbar-clock (0.7-6) UNRELEASED; urgency=low

  * More fixes to the alarms

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Fri,  4 Jul 2008 11:02:19 -0400

=== debian/control ===
Source: large-statusbar-clock
Section: user/Utilities
Priority: extra
Maintainer: Andrew Olmsted <andrew.olmsted@gmail.com>
Build-Depends: debhelper (>= 4), libgtk2.0-dev, libosso-dev (>= 1), hildon-desktop-dev, libalarm-dev
Standards-Version: 3.7.2

Package: large-statusbar-clock
Architecture: any
Depends: ${shlibs:Depends}, hildon-desktop
Replaces: statusbar-clock
Conflicts: statusbar-clock
Description: A clock that displays in the status bar
 Made up of two "applets" to display the hour and minute.

## large-statusbar-clock 0.7-7

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-host_triplet = arm-unknown-linux-gnu
+host_triplet = i686-pc-linux-gnu
 ACLOCAL = ${SHELL} /home/fiferboy/workspace/large-statusbar-clock-0.7/missing --run aclocal-1.7
 AMDEP_FALSE = #
 AMDEP_TRUE = 
@@ -49,7 +49,7 @@
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -g -O2
+CFLAGS = -Wall -g -O2
 CPP = gcc -E
 CPPFLAGS = 
 CXX = g++
@@ -114,21 +114,21 @@
 am__leading_dot = .
 am__quote = 
 bindir = ${exec_prefix}/bin
-build = arm-unknown-linux-gnu
+build = i686-pc-linux-gnu
 build_alias = 
-build_cpu = arm
+build_cpu = i686
 build_os = linux-gnu
-build_vendor = unknown
+build_vendor = pc
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = arm-unknown-linux-gnu
+host = i686-pc-linux-gnu
 host_alias = 
-host_cpu = arm
+host_cpu = i686
 host_os = linux-gnu
-host_vendor = unknown
+host_vendor = pc
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info

=== debian/changelog ===
large-statusbar-clock (0.7-7) UNRELEASED; urgency=low

  * Fixed a packaging error

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Fri, 10 Oct 2008 09:50:15 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: large-statusbar-clock
-Section: user/Utilities
+Section: user/accessories
 Priority: extra
 Maintainer: Andrew Olmsted <andrew.olmsted@gmail.com>
 Build-Depends: debhelper (>= 4), libgtk2.0-dev, libosso-dev (>= 1), hildon-desktop-dev, libalarm-dev
 Standards-Version: 3.7.2
 
 Package: large-statusbar-clock
+Section: user/accessories
 Architecture: any
 Depends: ${shlibs:Depends}, hildon-desktop
 Replaces: statusbar-clock

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --disable-static
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package 
	$(MAKE) install DESTDIR=$(CURDIR)/debian/large-statusbar-clock
	


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
